The tenant's usage per application
GET
/api/v1/tenants/{tenant_id}/usage
const url = 'https://files.centralcodestation.com/api/v1/tenants/example/usage';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://files.centralcodestation.com/api/v1/tenants/example/usage \ --header 'Authorization: Bearer <token>'A user with either administration key in any application of the tenant, or a machine client of the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant_id
required
string
The Identity Server tenant id.
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
quota_bytes
required
number
used_bytes
required
number
applications
required
Array<object>
object
application_id
string
bytes
number
quota_bytes
number
Example generated
{ "quota_bytes": 1, "used_bytes": 1, "applications": [ { "application_id": "example", "bytes": 1, "quota_bytes": 1 } ]}Error. error is one of: invalid_token.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 401, "error": "invalid_token", "message": "The bearer token is missing, malformed, expired, signed by an unknown key, or has the wrong audience (`aud` must be `files-api`).", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: not_tenant_member, tenant_not_available, insufficient_scope, client_context_mismatch, files_access_not_granted, missing_capability.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 403, "error": "not_tenant_member", "message": "The user is not an active member of the tenant in the URL.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: not_found.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 404, "error": "not_found", "message": "An id in the path is malformed, or the route does not exist.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: rate_limited.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 429, "error": "rate_limited", "message": "Too many requests in the current window; `retry_after` (and the `Retry-After` header) says when to retry.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: identity_unavailable.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 503, "error": "identity_unavailable", "message": "The service could not reach the Identity Server and has no fresh cached answer.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}default
Section titled “default”Error: see error for the code.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 403, "error": "invalid_request", "message": "This client is not bound to this tenant/application", "path": "/api/v1/tenants/t1/applications/a1/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D"}